addon manager and draft missing on stable version

Having trouble installing or compiling FreeCAD? Get help here.
Post Reply
S.N.A.L
Posts: 175
Joined: Wed Apr 09, 2014 8:10 pm

addon manager and draft missing on stable version

Post by S.N.A.L »

since my linux mint update the Addon manager and the draft workshop are no longer there and I have a broken package.
my config

Code: Select all

OS: Linux Mint 19 (MATE/mate)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.
Build type: Release
Branch: unknown
Hash: 7a9aa7edf2f44e3eb6a8e3e61c753368496b1399
Python version: 2.7.17
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.5.2
Locale: French/France (fr_FR)
i use the stable PPA

the error message:

Code: Select all

22:00:10  During initialization the error "invalid syntax (AddonManager.py, line 128)" occurred in /usr/share/freecad/Mod/AddonManager/InitGui.py
22:00:10  Please look into the log file for further information
22:00:12  Unknown command 'Std_AddonMgr'
22:00:12  Traceback (most recent call last):
  File "<string>", line 2, in <module>
  File "/usr/share/freecad/Mod/Start/StartPage/StartPage.py", line 35, in <module>
    import urllib.parse
<type 'exceptions.ImportError'>: No module named parse
22:00:12  No module named parse
the broken package is


"python3-pivy
Coin binding for Python 3"

I tried uninstalling freecad, cleaning cache and reinstalling, repairing packages, etc.

it doesn't prevent me from working but I miss the draft workshop sometimes.

If someone has an idea ?
adrianinsaval
Veteran
Posts: 4114
Joined: Thu Apr 05, 2018 5:15 pm

Re: addon manager and draft missing on stable version

Post by adrianinsaval »

are you sure you have the ppa correctly configured and have correctly upgraded your packages? FreeCAD stable should be version 0.20.1 not 0.19
S.N.A.L
Posts: 175
Joined: Wed Apr 09, 2014 8:10 pm

Re: addon manager and draft missing on stable version

Post by S.N.A.L »

Code: Select all

deb http://ppa.launchpad.net/freecad-maintainers/freecad-stable/ubuntu bionic main
S.N.A.L
Posts: 175
Joined: Wed Apr 09, 2014 8:10 pm

Re: addon manager and draft missing on stable version

Post by S.N.A.L »

Code: Select all

(Lecture de la base de données... 448467 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libsoqt520_1.6.0~ea5cd76+ds1-0ppa1~ubuntu18.04_amd64.deb ...
Dépaquetage de libsoqt520 (1.6.0~ea5cd76+ds1-0ppa1~ubuntu18.04) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/libsoqt520_1.6.0~ea5cd76+ds1-0ppa1~ubuntu18.04_amd64.deb (--unpack) :
 tentative de remplacement de « /usr/lib/x86_64-linux-gnu/libSoQt.so.1.6.0a », qui appartient aussi au paquet libsoqt420 1.6.0~ea5cd76+ds1-2~ubuntu16.04.1
dpkg-deb: erreur: coller subprocess was killed by signal (Relais brisé (pipe))
Sélection du paquet python3-pivy précédemment désélectionné.
Préparation du dépaquetage de .../python3-pivy_0.6.4-0ppa2~ubuntu18.04_amd64.deb ...
Dépaquetage de python3-pivy (0.6.4-0ppa2~ubuntu18.04) ...
Sélection du paquet freecad-python3 précédemment désélectionné.
Préparation du dépaquetage de .../freecad-python3_2%3a0.20.1+dfsg1~202210281616~ubuntu18.04.1_amd64.deb ...
Dépaquetage de freecad-python3 (2:0.20.1+dfsg1~202210281616~ubuntu18.04.1) ...
Sélection du paquet freecad précédemment désélectionné.
Préparation du dépaquetage de .../freecad_2%3a0.20.1+dfsg1~202210281616~ubuntu18.04.1_all.deb ...
Dépaquetage de freecad (2:0.20.1+dfsg1~202210281616~ubuntu18.04.1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/libsoqt520_1.6.0~ea5cd76+ds1-0ppa1~ubuntu18.04_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de récupération :
dpkg: des problèmes de dépendances empêchent la configuration de python3-pivy :
 python3-pivy dépend de libsoqt520 ; cependant :
  Le paquet libsoqt520 n'est pas installé.

dpkg: erreur de traitement du paquet python3-pivy (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de freecad-python3 :
 freecad-python3 dépend de python3-pivy ; cependant :
 Le paquet python3-pivy n'est pas encore configuré.

dpkg: erreur de traitement du paquet freecad-python3 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de freecad :
 freecad dépend de freecad-python3 (>= 2:0.20.1+dfsg1~202210281616~ubuntu18.04.1) ; cependant :
 Le paquet freecad-python3 n'est pas encore configuré.
 freecad dépend de freecad-python3 (<< 2:0.20.1+dfsg1~202210281616~ubuntu18.04.1.1~) ; cependant :
 Le paquet freecad-python3 n'est pas encore configuré.

dpkg: erreur de traitement du paquet freecad (--configure) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour shared-mime-info (1.9-2) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Traitement des actions différées (« triggers ») pour mime-support (3.60ubuntu1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.23+linuxmint5) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.27-3ubuntu1.6) ...
Des erreurs ont été rencontrées pendant l'exécution :
 python3-pivy
 freecad-python3
 freecad

adrianinsaval
Veteran
Posts: 4114
Joined: Thu Apr 05, 2018 5:15 pm

Re: addon manager and draft missing on stable version

Post by adrianinsaval »

post in english please and add some explanation of what on earth you are posting, for all I know this could be the output of a command line bible application. You mentioned you have some broken package, have you tried removing it? reinstalling? what command did you run? how did you en up in this situation? It's hard (or impossible) to help if you don't provide relevant information, be proactive and describe all you can about your situation.
S.N.A.L
Posts: 175
Joined: Wed Apr 09, 2014 8:10 pm

Re: addon manager and draft missing on stable version

Post by S.N.A.L »

problem resolved:

Code: Select all

sudo apt remove --purge libsoqt420
Post Reply